% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/iamrolesanywhere_operations.R
\name{iamrolesanywhere_update_profile}
\alias{iamrolesanywhere_update_profile}
\title{Updates a profile, a list of the roles that IAM Roles Anywhere service
is trusted to assume}
\usage{
iamrolesanywhere_update_profile(
  durationSeconds = NULL,
  managedPolicyArns = NULL,
  name = NULL,
  profileId,
  roleArns = NULL,
  sessionPolicy = NULL
)
}
\arguments{
\item{durationSeconds}{The number of seconds the vended session credentials are valid for.}

\item{managedPolicyArns}{A list of managed policy ARNs that apply to the vended session
credentials.}

\item{name}{The name of the profile.}

\item{profileId}{[required] The unique identifier of the profile.}

\item{roleArns}{A list of IAM roles that this profile can assume in a temporary
credential request.}

\item{sessionPolicy}{A session policy that applies to the trust boundary of the vended
session credentials.}
}
\description{
Updates a \emph{profile}, a list of the roles that IAM Roles Anywhere service is trusted to assume. You use profiles to intersect permissions with IAM managed policies.

See \url{https://www.paws-r-sdk.com/docs/iamrolesanywhere_update_profile/} for full documentation.
}
\keyword{internal}
