% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/inspector2_operations.R
\name{inspector2_list_finding_aggregations}
\alias{inspector2_list_finding_aggregations}
\title{Lists aggregated finding data for your environment based on specific
criteria}
\usage{
inspector2_list_finding_aggregations(
  accountIds = NULL,
  aggregationRequest = NULL,
  aggregationType,
  maxResults = NULL,
  nextToken = NULL
)
}
\arguments{
\item{accountIds}{The Amazon Web Services account IDs to retrieve finding aggregation data
for.}

\item{aggregationRequest}{Details of the aggregation request that is used to filter your
aggregation results.}

\item{aggregationType}{[required] The type of the aggregation request.}

\item{maxResults}{The maximum number of results to return in the response.}

\item{nextToken}{A token to use for paginating results that are returned in the response.
Set the value of this parameter to null for the first request to a list
action. For subsequent calls, use the \code{NextToken} value returned from
the previous request to continue listing results after the first page.}
}
\description{
Lists aggregated finding data for your environment based on specific criteria.

See \url{https://www.paws-r-sdk.com/docs/inspector2_list_finding_aggregations/} for full documentation.
}
\keyword{internal}
